Loading...
Searching...
No Matches
Halide::Internal::Free Struct Reference

Free the resources associated with the given buffer. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Free:

## Static Public Member Functions

static Stmt | make (const std::string &name)

## Public Attributes

std::string | name
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Free

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< Free >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Free the resources associated with the given buffer.

Definition at line 413 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::Free::make | ( | const std::string & | name | ) |

static

References name.

## Member Data Documentation

## name

std::string Halide::Internal::Free::name

Definition at line 414 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::Free::_node_type = IRNodeType::Free

static

Definition at line 418 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h